"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const module_1 = require("../module");
const services_1 = require("../services");
const handlers_1 = require("../handlers");
const accounts_1 = require("../accounts");
let AppletModule = class AppletModule {
};
AppletModule = __decorate([
    module_1.Module({
        handlers: [
            handlers_1.RegisterAppletInfoHandler,
        ],
        inputs: [
            accounts_1.AccountInputProvider,
        ],
        providers: [
            services_1.AppletInfoService,
            accounts_1.OAuthAccount,
            accounts_1.TwitterAccount,
        ],
    })
], AppletModule);
exports.AppletModule = AppletModule;

//# sourceMappingURL=applet.module.js.map
