import * as Koa from "koa";
import { Nodeswork, NodesworkContext } from './nodeswork';
import * as accounts from './accounts';
import * as cmpts from './components';
declare let nodeswork: Nodeswork;
declare module nodeswork {
    type INodeswork = Nodeswork;
    type INodesworkContext = NodesworkContext;
    type NodesworkAccountClass = accounts.NodesworkAccountClass;
    type NodesworkAccountOption = accounts.NodesworkAccountOption;
    type AccountKoaContext = accounts.AccountKoaContext;
    type NodesworkAccount<AT extends AccountKoaContext> = accounts.NodesworkAccount<AT>;
    type NodesworkAccountManager = accounts.NodesworkAccountManager;
    type NodesworkComponentMap = cmpts.NodesworkComponentMap;
    type NodesworkComponentOption = cmpts.NodesworkComponentOption;
    type NodesworkComponentClass = cmpts.NodesworkComponentClass;
    type NodesworkComponent<CT extends Koa.Context> = cmpts.NodesworkComponent<CT>;
    type BaseComponentManager<CC extends NodesworkComponentClass, CO extends NodesworkComponentOption> = cmpts.BaseComponentManager<CC, CO>;
    type NodesworkComponentManager = cmpts.NodesworkComponentManager;
    type Logger = cmpts.Logger;
    type LoggerClass = cmpts.LoggerClass;
    type LoggerKoaContext = cmpts.LoggerKoaContext;
    type Request = cmpts.Request;
    type RequestClass = cmpts.RequestClass;
    type RequestKoaContext = cmpts.RequestKoaContext;
}
export = nodeswork;
