"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const injection_1 = require("./injection");
const modules_1 = require("./modules");
/**
 * Bootstrap series modules.
 */
function bootstrap(...modules) {
    modules.push(modules_1.CoreModule);
    for (const m of modules) {
        m.$register();
    }
    for (const m of modules) {
        injection_1.beanProvider.getSingletonBean(m.name);
    }
}
exports.bootstrap = bootstrap;

//# sourceMappingURL=bootstrap.js.map
