"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const Router = require("koa-router");
const mongoose = require("mongoose");
const input_1 = require("../input");
let ContextInputProvider = class ContextInputProvider {
    generateContextInput(ctx) {
        return {
            type: 'ContextInput',
            data: { ctx },
        };
    }
};
__decorate([
    input_1.InputGenerator({}),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Object)
], ContextInputProvider.prototype, "generateContextInput", null);
ContextInputProvider = __decorate([
    input_1.InputProvider({})
], ContextInputProvider);
exports.ContextInputProvider = ContextInputProvider;
class ContextInput {
    constructor() {
        this.requsetId = mongoose.Types.ObjectId().toString();
    }
}
exports.ContextInput = ContextInput;

//# sourceMappingURL=context.input.js.map
