import { BaseComponentManager } from '../components';
import { NodesworkAccount, NodesworkAccountClass, AccountKoaContext, NodesworkAccountOption } from './account';
export declare class NodesworkAccountManager extends BaseComponentManager<NodesworkAccountClass, NodesworkAccountOption> {
    classMap: {
        [name: string]: [NodesworkAccountClass, NodesworkAccountOption];
    };
    register(clazz: NodesworkAccountClass, options: NodesworkAccountOption, overwrite?: boolean): void;
    parseAccounts(ctx: AccountKoaContext, accounts?: Array<any>): Promise<Array<NodesworkAccount<AccountKoaContext>>>;
}
