"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kiws_1 = require("../kiws");
function Module(moduleMetadata) {
    const kiwsModule = kiws_1.Module(moduleMetadata);
    return (constructor) => {
        kiwsModule(constructor);
        const cc = constructor;
        cc.$kiwsConstructors = cc.$constructors;
        cc.$constructors = $constructors;
    };
}
exports.Module = Module;
function $constructors() {
    const moduleMetadata = this.$getModuleMetadata();
    const results = this.$kiwsConstructors();
    if (moduleMetadata.workers != null) {
        results.push({
            provide: kiws_1.HANDLER,
            useClass: moduleMetadata.workers,
            multi: true,
        });
        Array.prototype.push.apply(results, moduleMetadata.workers);
    }
    return results;
}
// @kiws.Module({
// providers: [
// ContextInput,
// ContextLogger,
// ],
// })

//# sourceMappingURL=module.js.map
