import * as Koa from "koa";
import { NodesworkComponent } from './component';
import { Logger } from './logger';
export interface RequestKoaContext extends Koa.Context {
}
export interface RequestClass {
    new (ctx: RequestKoaContext): Request;
}
export declare class Request extends NodesworkComponent<RequestKoaContext> {
    logger: Logger;
    constructor(ctx: Koa.Context);
    get(options: any): Promise<any>;
    post(options: any): Promise<any>;
    request(options: any): Promise<any>;
}
