"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const request = require("request-promise");
const handler_1 = require("../handler");
const providers_1 = require("../providers");
let ServiceHandler = class ServiceHandler {
    constructor(modules) {
        this.modules = modules;
    }
    async stats() {
        let externalAccess = false;
        try {
            await request.get('http://www.google.com');
            externalAccess = true;
        }
        catch (e) {
        }
        return {
            stats: 'ok',
            externalAccess,
        };
    }
    structure() {
        return {
            providers: this.modules.getRegisteredProviders(),
        };
    }
};
__decorate([
    handler_1.Endpoint({ path: '/sstats' }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], ServiceHandler.prototype, "stats", null);
__decorate([
    handler_1.Endpoint({ path: '/sstruct' }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], ServiceHandler.prototype, "structure", null);
ServiceHandler = __decorate([
    handler_1.Handler({}),
    __metadata("design:paramtypes", [providers_1.ModuleService])
], ServiceHandler);
exports.ServiceHandler = ServiceHandler;

//# sourceMappingURL=service.handler.js.map
