/// <reference types="koa-router" />
import * as Koa from 'koa';
import * as Router from 'koa-router';
import { ModuleService } from './module.service';
import { MiddlewareProvider } from '../middleware';
import { Handler } from '../handler';
import { InputProvider } from '../input';
export declare class KoaService {
    private modules;
    private middlewareProviders;
    private handlers;
    private inputProviders;
    app: Koa;
    router: Router;
    constructor(modules: ModuleService, middlewareProviders: MiddlewareProvider[], handlers: Handler[], inputProviders: InputProvider[]);
    private registerHandlers();
    private registerMiddlewaresPre(middlewares);
    private registerMiddlewaresPost(middlewares);
}
